import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataDnsPtrRecordSetConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/dns/d/ptr_record_set#id DataDnsPtrRecordSet#id}
    *
    * Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2.
    * If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.
    */
    readonly id?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/dns/d/ptr_record_set#ip_address DataDnsPtrRecordSet#ip_address}
    */
    readonly ipAddress: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/dns/d/ptr_record_set dns_ptr_record_set}
*/
export declare class DataDnsPtrRecordSet extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "dns_ptr_record_set";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/dns/d/ptr_record_set dns_ptr_record_set} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataDnsPtrRecordSetConfig
    */
    constructor(scope: Construct, id: string, config: DataDnsPtrRecordSetConfig);
    private _id?;
    get id(): string;
    set id(value: string);
    resetId(): void;
    get idInput(): string | undefined;
    private _ipAddress?;
    get ipAddress(): string;
    set ipAddress(value: string);
    get ipAddressInput(): string | undefined;
    get ptr(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
